import * as plugins from '../../plugins.js';
export declare class ProxyCertDoc extends plugins.smartdata.SmartDataDbDoc<ProxyCertDoc, ProxyCertDoc> {
    domain: string;
    publicKey: string;
    privateKey: string;
    ca: string;
    validUntil: number;
    validFrom: number;
    constructor();
    static findByDomain(domain: string): Promise<ProxyCertDoc | null>;
    static findAll(): Promise<ProxyCertDoc[]>;
}
